
Foreman - Feature #4453

Update Foreman source packages for EL7

02/25/2014 05:16 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman, foreman-installer, foreman-proxy, foreman-selinux and hammer_cli{,_foreman} all need spec files updating for EL7 and to

be built on this target.

Related issues:

Related to Foreman - Feature #5793: rake task to create versioned tarball or gem Closed 05/09/2014

Blocks Foreman - Tracker #4447: Support installation on RHEL 7 Closed 02/25/2014

Associated revisions

Revision 0ff6ea5d - 05/27/2014 11:08 AM - Dominic Cleal

refs #4453 - build foreman-proxy for RHEL 7

Revision 27bf90bb - 05/29/2014 04:45 AM - Dominic Cleal

refs #4452, #4453 - modernise and update for EL7

Revision 38c774c3 - 05/29/2014 06:39 AM - Lukas Zapletal

Merge pull request #254 from domcleal/rpm/develop-hammer

refs #4452, #4453 - import hammer_cli deps, update for EL7

History

#1 - 02/25/2014 05:17 PM - Dominic Cleal

- Blocks Tracker #4447: Support installation on RHEL 7 added

#2 - 05/19/2014 11:56 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

- Target version set to 1.8.2

#3 - 05/19/2014 12:03 PM - Dominic Cleal

- Target version changed from 1.8.2 to 1.8.3

#4 - 05/19/2014 12:47 PM - Dominic Cleal

- Target version changed from 1.8.3 to 1.8.2

#5 - 05/19/2014 02:15 PM - Dominic Cleal

- Related to Feature #5793: rake task to create versioned tarball or gem added

#6 - 05/27/2014 03:21 PM - Dominic Cleal

- Description updated

05/10/2024 1/2



- % Done changed from 0 to 20

foreman-proxy: https://github.com/theforeman/foreman-packaging/commit/0ff6ea5d7e268303b655d1c573b26d5b9f0e4803

#7 - 05/27/2014 06:37 PM - Dominic Cleal

Hammer packages updated here: https://github.com/theforeman/foreman-packaging/pull/254

#8 - 05/29/2014 12:32 PM - Dominic Cleal

- % Done changed from 20 to 50

#9 - 05/29/2014 04:37 PM - Dominic Cleal

- % Done changed from 50 to 70

#10 - 05/30/2014 04:41 PM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 70 to 100

All built!

#11 - 05/30/2014 04:41 PM - Dominic Cleal

- translation missing: en.field_release set to 10
